Department: EHHV Affected Products: ADTF 3.15.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::FilterSDK

Resolution: Product Issue Opened FAQ Links:  

Description

Support Request

in ADTF2 war es möglich alle Properties von einem Filter zu durchsuchen. In ADTF3 scheint die Suche auf den aktuellen Ordner

begrenzt zu sein. Gibt es eine Möglichkeit alle Properties zu durchsuchen? Wäre es ansonsten möglich dieses Feature zu

implementieren?

Solution

Für das Problem, dass das hier nicht in der Ebene gesucht wird, wurde eine Bugticket angelegt: 

https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2688

Für den besseren Überblick können wir dir einen Workaround anbieten, hierzu auf Alphabetic umstellen: hier

Für die Darstellung deines Property TreeView gibt es bereits ein Ticket das: Produktticket #2028

History

#1 - 2023-03-23 10:55 - hidden

- Subject changed from Filter Property Suche to Filter Property Search

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

#2 - 2023-03-24 09:11 - hidden

- Status changed from In Progress to Customer Feedback Required

Guten Morgen Claus,

könntest du mir ggf. ein Screenshot aus ADTF2 und ADTF3, zukommen lassen? Ich bin mir nicht sicher ob ich dir folgen kann.

Das macht es einfacher deine Frage zu beantworten oder wenn solch ein Feature implementiert werden soll/wenn dieses noch nicht vorhanden.

Mit besten Grüßen

Sascha

#3 - 2023-03-24 10:19 - hidden

- File ADTF2_ADTF3_Property_Suche.pdf added

Hallo Sascha,

gerne, mein Kollege Tobias hat das mal anhand seines portierten Filters aufgezeigt, anbei im PDF die Screenshots.

Bei Filtern mit vielen Properties in mehreren Unterordnern ist die angebotene Suche, die innerhalb des aktuellen Ordners sucht, nicht sehr hilfreich.

Schöne Grüße

Claus

#4 - 2023-03-27 10:16 - hidden

- Resolution set to Product Issue Opened
https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2688
https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_configuration_editor.html#property_editor
https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2028


- Product Issue Numbers set to https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2688

Hallo Claus,

hier liegt wohl ein Bug das hier nicht in der Ebene gesucht wird, dafür wurde eine Bugticket angelegt: 

https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2688

Für den besseren Überblick können wir dir einen Workaround anbieten, hierzu auf Alphabetic umstellen: hier

Für die Darstellung des TreeView gibt es bereits ein Ticket das: Produktticket #2028

Mit besten Grüßen

Sascha

#5 - 2023-03-30 10:39 - hidden

Hallo Claus,

können wir damit das Ticket schließen?

Grüße

Margarete

#6 - 2023-03-30 11:57 - hidden

Hallo,

eigentlich schon, aber ich habe noch eine wichtige Frage:

Hier wurde ein Ticket angelegt:

https://gitlab.com/digitalwerk/solutions/adtf_content/adtf_base/adtf_core/-/issues/2688

Da ist ein Anhang von uns drin, das PDF. Der Anhang soll nicht öffentlich sein.

Viel Geheimes ist da nicht, aber trotzdem sollte niemand unsere Filter Ein/Ausgänge öffentlich sehen.

Könnt Ihr den Anhang da entfernen?

Schöne Grüße

Claus

#7 - 2023-03-30 12:07 - hidden

Hallo Claus,

wir haben das PDF aus dem Produkt Ticket raus genommen.

Gerne einen kurzen Gegen-Check.

Viele Grüße

Matthias

#8 - 2023-03-30 12:13 - hidden

Hallo,

besten Dank! Jetzt freuen wir uns auf den Bugfix.

Schöne Grüße

Claus

#9 - 2023-03-30 12:19 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#10 - 2023-04-03 07:19 - hidden

- Project changed from 20 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
